/*  
  classPort
  Developed on 2010 03 25
  Author R.G. care of Datalogic Automation Laser Marking Division
*/

// Default constructor. Here we define the initial settings!
function classPort( comPortName )
{
  getPortConfiguration();		
	
  this.instance = new ComPort;
  this.instance.portName = getComPort();
  this.instance.baudRate = lookUp(BaudsMap, getBaudRate());
  this.instance.flowControl = lookUp(FlowMap, getFlowControl());
  this.instance.parity =  lookUp(ParityMap, getParity());
  this.instance.dataBits = lookUp(DataBitsMap, getDataBits());
  this.instance.stopBits = lookUp(StopBitsMap, getStopBits());
  // ETX is set by protocol
}

classPort.prototype.update = function( h_Dialog )
{
  trace("Update with port: " + h_Dialog.cmb[0].currentItem);
  this.instance.portName = h_Dialog.cmb[0].currentItem;
  this.instance.baudRate = lookUp(BaudsMap, h_Dialog.cmb[1].currentItem);
  this.instance.flowControl = lookUp(FlowMap, h_Dialog.cmb[5].currentItem);
  this.instance.parity = lookUp(ParityMap, h_Dialog.cmb[3].currentItem);
  this.instance.dataBits = lookUp(DataBitsMap, h_Dialog.cmb[2].currentItem);
  this.instance.stopBits = lookUp(StopBitsMap, h_Dialog.cmb[4].currentItem);
	
  setComPort(this.instance.portName);
  setBaudRate(lookUp(BaudsMap, this.instance.baudRate));
  setDataBits(lookUp(DataBitsMap, this.instance.dataBits));
  setParity(lookUp(ParityMap, this.instance.parity));
  setStopBits(lookUp(StopBitsMap, this.instance.stopBits));
  setFlowControl(lookUp(FlowMap, this.instance.flowControl));	

  setPortConfiguration();	
}

classPort.prototype.open = function( modality )
{
  return this.instance.open( modality );
}